package nucmed;

import java.lang.IllegalArgumentException;
import java.lang.ArithmeticException;
import ij.IJ;

/**
 * This class impements a derivative calculation.
 * @author J. Anthony Parker, MD PhD <J.A.Parker@IEEE.org>
 * @version 20November2005
 */


public class Derivatives {
	private static final int NA = -1;
	private static final int VOL_TO_VOL = 0, VOL_TO_BMAX = 1, BMAX_TO_VOL = 2,
							BMAX_TO_BMAX = 3;
	private static final int VOLUME = 0, BMAX = 1, BOTH = 2;
	public double[] v = new double[7], bmax = new double[7],
			k = new double[10], kon = new double[10], kD = new double[10],
			koff = new double[10];
	public int[] kType, vType;

	/** Constructor */
	public Derivatives() {
	}

	public double[] getDerivatives(double x, double[] y) {
		double[] dydx = new double[y.length];
		
		for(int i=1; i<=6; i++) {
			if(vType[i]==NA) continue;
			switch(vType[i]) {
				case 0:
				default:
					throw new IllegalArgumentException();
			}
		}
		return dydx;
	}

}
